Summary: RPM installer/updater config files
Name: yum-autoupdate
Version: 2
Release: 0.1.rolling.SL6
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.scientificlinux.org/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Epoch: 5

%description
Setup yum in your daily cron.
Also provides yum.cron.excludes, a list of packages excluded from the
yum autoupdate.  Packages listed in the yum.cron.excludes are not excluded
when a user runs yum interactivly.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%config %{_sysconfdir}/cron.daily/yum-autoupdate
%config(noreplace) %{_sysconfdir}/sysconfig/yum-autoupdate

%changelog
* Mon Jan 24 2011 Troy Dawson <dawson@fnal.gov> 2-0.1.rolling.SL6
- Changed yum-autoupdate to use a configuration file in /etc/sysconfig
instead of separate files scattered around.  Admins can change the
variables ENABLED, MAILTO, EXCLUDE, MAXWAITTIME, CONFIGFILE, DEBUG
